﻿using Infragistics.Collections;
using Infragistics.Controls.Schedules;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace XamMonthViewMappingCase
{
    public class ViewModel
    {
        public ObservableCollection<Resource> Resources { get; set; }
        public ObservableCollection<ResourceCalendar> Calendars { get; set; }

        public ObservableCollection<CustomTask> Tasks { get; set; }

        public ViewModel()
        {
            Resources = new ObservableCollection<Resource>();
            Calendars = new ObservableCollection<ResourceCalendar>();
            Tasks = new ObservableCollection<CustomTask>();

            Resource res1 = new Resource() { Id = "own1", Name = "Resource 1" };
            ResourceCalendar cal1 = new ResourceCalendar() { Id = "cal1", OwningResourceId = "own1" };

            Resources.Add(res1);
            Calendars.Add(cal1);

            DateRecurrence recurrence = new DateRecurrence();
            recurrence.Frequency = DateRecurrenceFrequency.Weekly;

            recurrence.Rules.Add(new DayOfWeekRecurrenceRule(DayOfWeek.Monday, 0));
            recurrence.Rules.Add(new DayOfWeekRecurrenceRule(DayOfWeek.Tuesday, 0));

            CustomTask CT = new CustomTask()
            {
                CustomID = "task1",                
                OwnResId = "own1",
                OwnCalId = "cal1",
                CustomSubject = "Task 1",
                Description = "My Custom Task",
                StartingTime = DateTime.Now.AddSeconds(30).ToUniversalTime(),
                EndingTime = DateTime.Now.AddMinutes(25).ToUniversalTime(),
                CustomReminder = new Reminder() { Text = "Some Text" },                
                Enabled = true,
                Interval = new TimeSpan(0,0,25),
                CustomRecur = recurrence
            };

            Tasks.Add(CT);

        }
    }


}
